Retrieve Conversation details by ID
curl --request GET \
--url https://api.trugen.ai/v1/ext/conversation/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trugen.ai/v1/ext/conversation/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trugen.ai/v1/ext/conversation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6457541c-6251-40ed-a672-52d166c2c565",
"agent_id": "6d142a7c-a6ef-4616-90bb-0124fc83bce7",
"agent_name": "Test Agent",
"avatar_id": "665a1170",
"user_id": "test@test.com",
"user_name": "Test User",
"context": "{\"text\":\"\"}",
"status": "ENDED",
"is_recorded": false,
"recording_url": "",
"transcript": [
{
"timestamp": "2025-12-18T17:54:20.412417Z",
"role": "assistant",
"content": "Hello, how can I help you?",
"conversation_id": "6457541c-6251-40ed-a672-52d166c2c565",
"message_timestamp": 2
}
],
"created_at": "2025-12-18T17:54:02.153319Z",
"updated_at": "2025-12-18T17:59:29.720601Z"
}{
"error": "Conversation not found"
}Conversations
Get Conversation By Id
GET
/
ext
/
conversation
/
{id}
Retrieve Conversation details by ID
Authorizations
Path Parameters
Unique identifier for the conversation
Response
Conversation details retrieved successfully
Unique identifier for the conversation
Example:
"6457541c-6251-40ed-a672-52d166c2c565"
Agent identifier
Example:
"6d142a7c-a6ef-4616-90bb-0124fc83bce7"
Name of the agent
Example:
"Test Agent"
Avatar identifier used for the conversation
Example:
"665a1170"
End user identifier
Example:
"test@test.com"
End user name
Example:
"Test User"
Serialized conversational context
Example:
"{\"text\":\"\"}"
Session status
Available options:
STARTED, IN_PROGRESS, ENDED Example:
"ENDED"
Whether the session was recorded
Example:
false
Recording playback URL
Example:
""
Conversation transcript
Show child attributes
Show child attributes
Session creation timestamp
Example:
"2025-12-18T17:54:02.153319Z"
Last update timestamp
Example:
"2025-12-18T17:59:29.720601Z"
Was this page helpful?